Skip to main content
GET
/
workspace
/
{ws_id}
/
playbooks
/
{id}
Get a playbook by its ID
curl --request GET \
  --url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id} \
  --header 'BLINK-API-KEY: <api-key>'
{
  "actions": [
    {
      "action_full_name": "<string>",
      "collection_icon_uri": "<string>",
      "collection_name": "<string>",
      "full_name": "<string>",
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "active": true,
  "analyst_copilot_workflow": true,
  "automation_origin_id": "<string>",
  "automation_type": "<string>",
  "created_at": 123,
  "created_by": "<string>",
  "custom_timeout": 123,
  "deleted": "<string>",
  "display_settings": {
    "description": "Automates common tasks",
    "display_as_html": true,
    "icon": "company-blink",
    "name": "Blink Automation"
  },
  "icon": "company-blink",
  "id": "<string>",
  "is_icon_selected_by_user": true,
  "is_otb": true,
  "is_request": true,
  "max_concurrency_level": 123,
  "name": "My Workflow",
  "notification_emails": "<string>",
  "pack_id": "00000000-0000-0000-0000-000000000000",
  "playbook": "<string>",
  "playbook_to_run_on_error": "<string>",
  "preferred_engine_version": "<string>",
  "runner": "<string>",
  "step_transition_limit": 123,
  "tags": [
    "k8s"
  ],
  "tenant_id": "<string>",
  "updated_at": 123,
  "updated_by": "<string>",
  "used_connections": [
    "<string>"
  ],
  "used_global_variables": [
    "<string>"
  ],
  "used_subflows": [
    "<string>"
  ],
  "used_tables": [
    "<string>"
  ],
  "version": "1",
  "wizard_id": "<string>",
  "workspace_id": "<string>"
}

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Path Parameters

id
string
required

The ID of the playbook to retrieve

ws_id
string
required

The ID of the workspace containing the playbook

Response

Playbook details

Playbook information that includes the playbook definition (YAML), metadata, and associations with packs, connections, and subflows.

actions
object[]

List of actions used in the playbook

active
boolean

Whether the playbook is currently active

analyst_copilot_workflow
boolean

Whether this is an Analyst Copilot workflow

automation_origin_id
string

The ID of the original playbook if this is a replica

automation_type
string

The type of automation

created_at
integer
created_by
string
custom_timeout
integer

Custom execution timeout in hours

deleted
string

When the playbook was deleted

display_settings
object

Settings for displaying the playbook in the self-service portal.

icon
string

The icon associated with the playbook

Example:

"company-blink"

id
string
is_icon_selected_by_user
boolean

Whether the icon was manually selected

is_otb
boolean

Whether this is an Out-Of-The-Box playbook

is_request
boolean

Whether the playbook is exposed as a self-service request

max_concurrency_level
integer

Maximum number of concurrent executions (0 for unlimited)

name
string

The name of the playbook

Example:

"My Workflow"

notification_emails
string

A comma-separated list of emails for notifications

pack_id
string

The ID of the automation pack containing this playbook

Example:

"00000000-0000-0000-0000-000000000000"

playbook
string

The YAML definition of the playbook

playbook_to_run_on_error
string

The ID of the playbook to run if this one fails

preferred_engine_version
string

The preferred workflow engine version

runner
string

The name of the runner group assigned to this playbook

step_transition_limit
integer

Maximum number of step transitions allowed in a single execution

tags
string[]

Tags associated with the playbook

Example:
["k8s"]
tenant_id
string

The ID of the parent tenant

updated_at
integer
updated_by
string
used_connections
string[]

List of connection IDs used by the playbook

used_global_variables
string[]

List of used global variables

used_subflows
string[]

List of subflow IDs used by the playbook

used_tables
string[]

List of used tables

version
string

The version of the playbook

Example:

"1"

wizard_id
string

The ID of the wizard used to create this playbook

workspace_id
string

The ID of the parent workspace